XMLInteger Class Reference
Inheritance diagram for XMLInteger:

## Public Member Functions

| XMLInteger (const int intVal)
| Constructs a newly allocated `XMLInteger` object. More...
| ~XMLInteger ()
int | intValue () const
| Returns the built in integer value. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## XMLInteger()

XMLInteger::XMLInteger | ( | const int | intVal | ) |

Constructs a newly allocated `XMLInteger` object.

Parameters

  intVal | the `integer`

## ~XMLInteger()

XMLInteger::~XMLInteger | ( |  | ) |

## Member Function Documentation

## intValue()

int XMLInteger::intValue | ( |  | ) | const

Returns the built in integer value.

References XERCES_CPP_NAMESPACE_END.

The documentation for this class was generated from the following file:

- XMLInteger.hpp